=== debian/changelog ===
ballerburg (1.0.1-2) unstable; urgency=low

  * Add cmake to build-depends. (Closes: #728129)
  * Set Maintainer to the Debian Games Team.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 04 Nov 2013 11:00:04 +0100

ballerburg (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #725330)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 18 Sep 2013 13:20:48 +0200
