=== debian/control ===
Source: ballerburg
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
Standards-Version: 3.9.4
Homepage: http://baller.tuxfamily.org/

Package: ballerburg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Classical castle combat game
 Two castles, separated by a mountain, try to defeat each other with their
 cannonballs, either by killing the opponent's king or by weakening the
 opponent enough so that the king capitulates.
 .
 Ballerburg was originally written 1987 by Eckhard Kruse, for the Atari ST
 machines (which were brand new computers at that point in time). Over 25
 years later, here's finally the adaption of the original source code to
 modern operating systems.
