=== debian/changelog ===
ballerburg (1.1.0-1) unstable; urgency=medium

  [ Gürkan Sengün ]
  * New upstream version.
  * Bump standards version to 3.9.5.
  * Drop patches, fixed by upstream:
    + Dutch translation
    + Manpage section

  [ Axel Beckert ]
  * Drop dh_auto_configure override, manually set build-system as cmake
    + Fixes blhc/bls warning about non-verbose compilation
    + Fixes lintian warning hardening-no-fortify-functions
  * Cleaned up debian/rules

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 25 Aug 2014 15:18:14 +0200
