=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://baller.tuxfamily.org/
 
 Package: ballerburg
