=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  -Scmake --with autotools-dev

override_dh_auto_install:
	dh_auto_install
	# cmake seems not to have an option for moving binaries, doing it manually
	mv debian/ballerburg/usr/bin debian/ballerburg/usr/games
	# put the game data files to the game data directory
	mkdir -p debian/ballerburg/usr/share/games/
	mv debian/ballerburg/usr/share/ballerburg debian/ballerburg/usr/share/games/
