=== debian/changelog ===
ballerburg (1.2.0-3) unstable; urgency=medium

  * debian/menu: dropped, install debian/ballerburg.desktop instead.
  * debian/rules: Drop autotools call.
  * Bump standards version to 4.2.1.
  * Add Vcs field. (Closes: #731829)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Sep 2018 11:23:31 +0200

ballerburg (1.2.0-2) unstable; urgency=medium

  * Update my name.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Feb 2018 13:17:46 +0100

ballerburg (1.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 3.9.6.
  * Change priority to optional. (Closes: #731830)
  * Add icon and desktop files. (Closes: #731831)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 07 Apr 2015 13:56:41 +0200
