=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ballerburg
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
-Standards-Version: 3.9.5
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper (>= 11), libsdl-gfx1.2-dev, cmake
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
+Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
 Homepage: http://baller.tuxfamily.org/
 
 Package: ballerburg
