=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  -Scmake --with autotools-dev
+	dh $@  -Scmake
+
+override_dh_clean:
+	dh_clean
+	rm -rf po/*.mo
 
 override_dh_auto_install:
 	dh_auto_install
