## ballerburg 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.3 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.0)
+set(VERSION 1.2.1)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -17,7 +17,7 @@
 # Set build type to "Release" if user did not specify any build type yet
 # Other possible values: Debug, Release, RelWithDebInfo and MinSizeRel
 if(NOT CMAKE_BUILD_TYPE)
-        set(CMAKE_BUILD_TYPE Release)
+	set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
 
 
@@ -62,20 +62,17 @@
 # Check for libraries:
 # ####################
 
-if(ENABLE_SDL2)
-	find_package(SDL2 REQUIRED)
-	if(NOT SDL2_FOUND)
-		message(FATAL_ERROR "SDL2 library not found!")
-	endif(NOT SDL2_FOUND)
+find_package(SDL2)
+if(SDL2_FOUND)
 	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
 	set(SDL_LIBRARY ${SDL2_LIBRARY})
 	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
-else(ENABLE_SDL2)
+else(SDL2_FOUND)
 	find_package(SDL REQUIRED)
 	if(NOT SDL_FOUND)
 		message(FATAL_ERROR "SDL library not found!")
 	endif(NOT SDL_FOUND)
-endif(ENABLE_SDL2)
+endif(SDL2_FOUND)
 
 find_package(Math REQUIRED)
 find_package(Gettext)
@@ -85,16 +82,16 @@
 # ################
 
 # Additional CFLAGS suggested by the SDL library:
-if(ENABLE_SDL2)
+if(SDL2_FOUND)
 	add_definitions(-DWITH_SDL2)
 	execute_process(COMMAND pkg-config --cflags-only-other sdl2
 			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
 			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-else(ENABLE_SDL2)
+else(SDL2_FOUND)
 	execute_process(COMMAND pkg-config --cflags-only-other sdl
 			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
 			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-endif(ENABLE_SDL2)
+endif(SDL2_FOUND)
 if(DETECTED_SDL_CFLAGS)
 	add_definitions(${DETECTED_SDL_CFLAGS})
 	# message(STATUS "Additional CFLAGS of SDL: ${DETECTED_SDL_CFLAGS}")
@@ -111,7 +108,7 @@
 # Various CFLAGS:
 # ###############
 
-if(CMAKE_COMPILER_IS_GNUCC)
+if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsigned-char -Wall")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra -Wno-unused-parameter")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-prototypes -Wstrict-prototypes")
@@ -122,7 +119,7 @@
 	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
 		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2")
 	endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
-endif(CMAKE_COMPILER_IS_GNUCC)
+endif()
 
 
 # #########################################
