=== debian/changelog ===
ballerburg (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.6.1.
  * d/patches: drop the typo patch, as upstreamed.
  * d/copyright: add Upstream-Contact.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Mon, 30 May 2022 08:24:29 +0200

ballerburg (1.2.0-4) unstable; urgency=medium

  * Really install the desktop file.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Sep 2019 11:46:13 +0200
