=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libsdl-gfx1.2-dev, cmake
-Standards-Version: 4.2.1
+Uploaders: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), libsdl-gfx1.2-dev, cmake
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
 Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
 Homepage: http://baller.tuxfamily.org/
