=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
-	dh $@  -Scmake
+	dh $@ -Scmake
 
 override_dh_clean:
 	dh_clean
