## ballerburg 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.1)
+set(VERSION 1.2.2)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -62,10 +62,15 @@
 # Check for libraries:
 # ####################
 
+if(EMSCRIPTEN)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=2")
+	set(CMAKE_EXECUTABLE_SUFFIX ".html")
+endif(EMSCRIPTEN)
+
 find_package(SDL2)
 if(SDL2_FOUND)
-	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
-	set(SDL_LIBRARY ${SDL2_LIBRARY})
+	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIRS})
+	set(SDL_LIBRARY ${SDL2_LIBRARIES})
 	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
 else(SDL2_FOUND)
 	find_package(SDL REQUIRED)
@@ -74,7 +79,7 @@
 	endif(NOT SDL_FOUND)
 endif(SDL2_FOUND)
 
-find_package(Math REQUIRED)
+find_package(Math)
 find_package(Gettext)
 
 # ################
