=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,5 +20,14 @@
 	target_link_libraries(ballerburg ${MATH_LIBRARY})
 endif(MATH_LIBRARY)
 
+if(EMSCRIPTEN)
+	set_target_properties(ballerburg PROPERTIES LINK_FLAGS
+		"-s USE_SDL=2 -s ASYNCIFY -s ASSERTIONS=0 \
+		-s EXPORTED_RUNTIME_METHODS='[\"ccall\",\"cwrap\"]' \
+		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.mus@baller.mus \
+		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.dat@baller.dat"
+	)
+endif()
+
 install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
 install(FILES baller.dat baller.mus DESTINATION ${DATADIR})
