=== debian/changelog ===
ballerburg (1.2.2-4) unstable; urgency=medium

  * Team Upload
  * reformat d/control with debputy
  * bump Standards-Version to 4.7.2

  [ Patrice Duroux ]
  * d/control: homepage has moved.
  * d/copyright: source has moved.
  * d/watch: update. (Closes: #1091715)
  * d/rules: use execute_after.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 10:14:06 +0100

ballerburg (1.2.2-3) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Switch d/watch to https

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 13:56:48 +0100

ballerburg (1.2.2-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 13:46:34 +0000

ballerburg (1.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 Apr 2024 05:29:50 +0200
