=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), libsdl-gfx1.2-dev, cmake
-Standards-Version: 4.6.1
+Uploaders:
+ Alex Myczko <tar@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libsdl-gfx1.2-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
 Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
-Homepage: http://baller.tuxfamily.org/
+Homepage: https://baller.frama.io
+X-Style: black
 
 Package: ballerburg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Classical castle combat game
  Two castles, separated by a mountain, try to defeat each other with their
  cannonballs, either by killing the opponent's king or by weakening the
