=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 %:
 	dh $@ -Scmake
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf po/*.mo
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# cmake seems not to have an option for moving binaries, doing it manually
 	mv debian/ballerburg/usr/bin debian/ballerburg/usr/games
 	# put the game data files to the game data directory
