## ballerburg 1.2.3%2Bgit20250916%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,13 @@
 
 target_link_libraries(ballerburg ${SDL_LIBRARY})
 
-if(SDLMAIN_LIBRARY)
-	target_link_libraries(ballerburg ${SDLMAIN_LIBRARY})
-endif(SDLMAIN_LIBRARY)
-
 if(MATH_LIBRARY)
 	target_link_libraries(ballerburg ${MATH_LIBRARY})
 endif(MATH_LIBRARY)
 
 if(EMSCRIPTEN)
 	set_target_properties(ballerburg PROPERTIES LINK_FLAGS
-		"-s USE_SDL=2 -s ASYNCIFY -s ASSERTIONS=0 \
+		"-s USE_SDL=3 -s ASYNCIFY -s ASSERTIONS=0 \
 		-s EXPORTED_RUNTIME_METHODS='[\"ccall\",\"cwrap\"]' \
 		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.mus@baller.mus \
 		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.dat@baller.dat"
@@ -31,3 +27,5 @@
 
 install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
 install(FILES baller.dat baller.mus DESTINATION ${DATADIR})
+
+add_test(NAME selftest COMMAND $<TARGET_FILE:ballerburg> --selftest)
