=== debian/changelog ===
ballerburg (1.2.3+git20250916+ds-3) unstable; urgency=medium

  * d/control: drop unneeded build-depends libsdl2-gfx-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Sep 2025 11:17:08 +0200

ballerburg (1.2.3+git20250916+ds-2) unstable; urgency=medium

  * d/rules: disable tests.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 13:28:33 +0200

ballerburg (1.2.3+git20250916+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1038042)
  * d/control: bump build depends of sdl1.2 to sdl2 and add libsdl3-dev.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 12:14:56 +0200
