=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	# put the game data files to the game data directory
 	mkdir -p debian/ballerburg/usr/share/games/
 	mv debian/ballerburg/usr/share/ballerburg debian/ballerburg/usr/share/games/
+
+override_dh_auto_test:
+	@echo blip
