## ballerburg 1.2.3+git20250916+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,11 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.10 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.2)
+enable_testing()
+
+set(VERSION 1.2.3)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -63,44 +65,17 @@
 # ####################
 
 if(EMSCRIPTEN)
-	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=2")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=3")
 	set(CMAKE_EXECUTABLE_SUFFIX ".html")
 endif(EMSCRIPTEN)
 
-find_package(SDL2)
-if(SDL2_FOUND)
-	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIRS})
-	set(SDL_LIBRARY ${SDL2_LIBRARIES})
-	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
-else(SDL2_FOUND)
-	find_package(SDL REQUIRED)
-	if(NOT SDL_FOUND)
-		message(FATAL_ERROR "SDL library not found!")
-	endif(NOT SDL_FOUND)
-endif(SDL2_FOUND)
+find_package(SDL3 REQUIRED)
+set(SDL_INCLUDE_DIR SDL3::Headers)
+set(SDL_LIBRARY SDL3::SDL3)
 
 find_package(Math)
 find_package(Gettext)
 
-# ################
-# CPP Definitions:
-# ################
-
-# Additional CFLAGS suggested by the SDL library:
-if(SDL2_FOUND)
-	add_definitions(-DWITH_SDL2)
-	execute_process(COMMAND pkg-config --cflags-only-other sdl2
-			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
-			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-else(SDL2_FOUND)
-	execute_process(COMMAND pkg-config --cflags-only-other sdl
-			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
-			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-endif(SDL2_FOUND)
-if(DETECTED_SDL_CFLAGS)
-	add_definitions(${DETECTED_SDL_CFLAGS})
-	# message(STATUS "Additional CFLAGS of SDL: ${DETECTED_SDL_CFLAGS}")
-endif(DETECTED_SDL_CFLAGS)
 
 # ###########################
 # Check for optional headers:
