=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,11 @@
 	COMMAND gzip -c -9 ${CMAKE_CURRENT_SOURCE_DIR}/ballerburg.6 > ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz
 	DEPENDS ballerburg.6)
 INSTALL(FILES  ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz DESTINATION ${MANDIR})
+
+find_program(TIDY tidy)
+if(TIDY)
+	add_test(NAME tidy-de
+	         COMMAND tidy -q -e ${CMAKE_CURRENT_SOURCE_DIR}/de/anleitung.html)
+	add_test(NAME tidy-en
+	         COMMAND tidy -q -e ${CMAKE_CURRENT_SOURCE_DIR}/en/manual.html)
+endif(TIDY)
