=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libsdl-gfx1.2-dev,
+ libsdl3-dev,
+# libsdl2-gfx-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
