=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto" \
   https://framagit.org/baller/ballerburg.git refs/tags/@ANY_VERSION@
